> For the complete documentation index, see [llms.txt](https://docs.coherence.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coherence.io/0.5.2/api-reference/cloud-api/api-tokens-keys.md).

# API tokens and keys

### Portal Token

The token you get when creating a project on the [developer portal](/0.5.2/get-started/create-an-account.md).

You paste it in the *Project Settings*.

![](/files/trfdYNqIxOk3yBpgAB2m)

### Runtime Key

Once you have pasted the portal token successfully, you need to fetch the runtime key as well.&#x20;

You can fetch the [**Runtime Key**](/0.5.2/api-reference/cloud-api/api-tokens-keys.md) by clicking on the down-arrow button on the right side of the input field.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coherence.io/0.5.2/api-reference/cloud-api/api-tokens-keys.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
